Skip to main content

Sablier Streams

This page documents the indexers for the Sablier Streams protocol, which covers both Lockup (powering the Vesting product) and Flow (powering the Payments product) in the Sablier Interface.

info

The Lockup and Flow protocols are served by a unified indexer. In the GraphQL schema, entities are prefixed by protocol: FlowStream, LockupStream, FlowAction, LockupAction, FlowBatch, LockupBatch, etc.

Envio

Source Code

Envio indexer for Sablier Streamsenvio/streams

Endpoints

Envio is a multi-chain indexer. There's a single GraphQL API endpoint that aggregates data across chains. This approach differs from other vendors like The Graph, which require a separate indexer for each chain where Sablier is available.

ChainProduction URLPlayground URLExplorer URL
Abstracthttps://indexer.hyperindex.xyz/53b7e25/v1/graphqlPlaygroundExplorer
Arbitrumhttps://indexer.hyperindex.xyz/53b7e25/v1/graphqlPlaygroundExplorer
Avalanchehttps://indexer.hyperindex.xyz/53b7e25/v1/graphqlPlaygroundExplorer
Basehttps://indexer.hyperindex.xyz/53b7e25/v1/graphqlPlaygroundExplorer
Blasthttps://indexer.hyperindex.xyz/53b7e25/v1/graphqlPlaygroundExplorer
Berachainhttps://indexer.hyperindex.xyz/53b7e25/v1/graphqlPlaygroundExplorer
BNB Chainhttps://indexer.hyperindex.xyz/53b7e25/v1/graphqlPlaygroundExplorer
Chilizhttps://indexer.hyperindex.xyz/53b7e25/v1/graphqlPlaygroundExplorer
Gnosishttps://indexer.hyperindex.xyz/53b7e25/v1/graphqlPlaygroundExplorer
HyperEVMhttps://indexer.hyperindex.xyz/53b7e25/v1/graphqlPlaygroundExplorer
Linea Mainnethttps://indexer.hyperindex.xyz/53b7e25/v1/graphqlPlaygroundExplorer
Ethereumhttps://indexer.hyperindex.xyz/53b7e25/v1/graphqlPlaygroundExplorer
Modehttps://indexer.hyperindex.xyz/53b7e25/v1/graphqlPlaygroundExplorer
Monadhttps://indexer.hyperindex.xyz/53b7e25/v1/graphqlPlaygroundExplorer
Morphhttps://indexer.hyperindex.xyz/53b7e25/v1/graphqlPlaygroundExplorer
OP Mainnethttps://indexer.hyperindex.xyz/53b7e25/v1/graphqlPlaygroundExplorer
Polygonhttps://indexer.hyperindex.xyz/53b7e25/v1/graphqlPlaygroundExplorer
Sonichttps://indexer.hyperindex.xyz/53b7e25/v1/graphqlPlaygroundExplorer
Scrollhttps://indexer.hyperindex.xyz/53b7e25/v1/graphqlPlaygroundExplorer
Sei Networkhttps://indexer.hyperindex.xyz/53b7e25/v1/graphqlPlaygroundExplorer
Sophonhttps://indexer.hyperindex.xyz/53b7e25/v1/graphqlPlaygroundExplorer
Superseedhttps://indexer.hyperindex.xyz/53b7e25/v1/graphqlPlaygroundExplorer
Unichainhttps://indexer.hyperindex.xyz/53b7e25/v1/graphqlPlaygroundExplorer
XDChttps://indexer.hyperindex.xyz/53b7e25/v1/graphqlPlaygroundExplorer
ZKsync Erahttps://indexer.hyperindex.xyz/53b7e25/v1/graphqlPlaygroundExplorer
Base Sepoliahttps://indexer.hyperindex.xyz/53b7e25/v1/graphqlPlaygroundExplorer
Sepoliahttps://indexer.hyperindex.xyz/53b7e25/v1/graphqlPlaygroundExplorer

The Graph

Source Code

Graph indexer for Sablier Streamsgraph/streams

Endpoints

In the table below, you will see three URLs:

  • Production URL: requires a Studio API key for making queries.
  • Testing URL: doesn't require an API key but it's rate-limited to 3000 queries per day. Opening this URL in the browser opens a GraphiQL playground.
  • Explorer URL: The explorer URL for the indexer, if available.

To learn how to create a Studio API key, check out this guide.

The API key has to be provided via an Authorization: Bearer <API_KEY> header. Here are two examples in curl and JavaScript:

curl -X POST \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json" \
-d '{"query": "{ _meta: { block { number } } }"' \
<PRODUCTION_URL>
ChainProduction URLTesting URLExplorer URL
Abstractsablier-lockup-abstractTestingExplorer
Arbitrumsablier-lockup-arbitrumTestingExplorer
Avalanchesablier-lockup-avalancheTestingExplorer
Basesablier-lockup-baseTestingExplorer
Base Sepoliasablier-lockup-base-sepoliaTestingExplorer
Berachainsablier-lockup-berachainTestingExplorer
BNB Chainsablier-lockup-bscTestingExplorer
Chilizsablier-lockup-chilizTestingExplorer
Denergysablier-lockup-denergychainN/AExplorer
Ethereumsablier-lockup-ethereumTestingExplorer
Gnosissablier-lockup-gnosisTestingExplorer
Lightlinksablier-lockup-lightlinkN/AExplorer
Linea Mainnetsablier-lockup-lineaTestingExplorer
OP Mainnetsablier-lockup-optimismTestingExplorer
Polygonsablier-lockup-polygonTestingExplorer
Scrollsablier-lockup-scrollTestingExplorer
Sepoliasablier-lockup-sepoliaTestingExplorer
Sonicsablier-lockup-sonicTestingExplorer
Unichainsablier-lockup-unichainTestingExplorer
ZKsync Erasablier-lockup-zksyncTestingExplorer